import request from '@/utils/request'

// 获取ABtest列表
export function abtestList (params) {
  return request({
    url: '/abtest/test-info/page',
    method: 'get',
    params
  })
}

// 删除abtest数据
export function removeAbtest (params) {
  return request({
    url: '/abtest/test-info/delete',
    method: 'delete',
    params
  })
}


// 获取二级渠道
export function secondChannel (params) {
  return request({
    url: '/channel/info/listChannels',
    method: 'get',
    params
  })
}

// 获取abtest类型列表
export function typeListApi (params) {
  return request({
    url: '/abtest/type-dict/page',
    method: 'get',
    params
  })
}